/**
 * Integer wrapper class
 * @author Andrew H. Fagg
 * @version 2016-08-17
 *
 */
public class MyInt {
    private int val;
    
    /**
     * Constructor
     * 
     * @param val Value to store
     */
    public MyInt(int val)
    {
        this.val = val;
    }
    
    /**
     * Return the stored value
     * 
     * @return Stored value
     */
    public int getVal()
    {
        return val;
    }
    
    /**
     * Add one to the stored value
     */
    public void increment()
    {
        val = val + 1;
    }
    
    /**
     * Add one to the stored value
     */
    public void decrement()
    {
        val = val - 1;
    }
    
    /**
     * Multiply the current MyInt by another and store the result 
     * in the current.
     * 
     * @param i Other MyInt
     */
    public void mult(MyInt i) 
    {
        val = 0;
    }
}
